#include <sys/stat.h>
#include <fcntl.h>
#define A  10                                  /* Pos. p */
#define B  40                            /* B - A Laenge */
#define FIN   "file.c"  /* muss als Eingabedatei da sein */
#define FOUT  "tempfile" /* entsteht als Ausgabedatei !! */

main()        /* 11. bis 40. Zeichen aus file.c ausgeben */
{
    int fdin, fdout;
    char buf[B-A];

    fdin = open(FIN, O_RDONLY);
    fdout = creat(FOUT, S_IREAD | S_IWRITE);
    lseek(fdin, (long)A, 0);
    read(fdin, buf, B-A);
    write(fdout, buf, B-A);
}                                       /* close imlizit */
